﻿using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using BayanAudioComponent;
using BayanControlsComponent;

namespace Bayan
{
    public partial class MainPage : PhoneApplicationPage
    {
        AudioController audioController;

        public MainPage()
        {
            InitializeComponent();
            audioController = new AudioController(6);
        }

        protected override void OnNavigatedFrom(NavigationEventArgs args)
        {
            audioController.Stop();
            base.OnNavigatedFrom(args);
        }

        protected override void OnNavigatedTo(NavigationEventArgs args)
        {
            audioController.Start();
            base.OnNavigatedTo(args);
        }

        void OnKeyboardKeyChanged(object sender, KeyArgs keyArgs)
        {
            if (keyArgs.IsPressed)
            {
                audioController.NoteOn(keyArgs.KeyNumber, keyArgs.KeyNumber % 1000);
            }
            else
            {
                audioController.NoteOff(keyArgs.KeyNumber);
            }
        }
    }
}